# Per Rally Player Tracking Feed

Describes all the player movement in a set timeframe including Time, Position, Velocity and more.

## Endpoint URL

## Live Rally Player Tracking Feed

`CONNECT` `wss://dde-generic-datastream.dde-prod.imgarena.dev/ws/tennis/rally/tracking/players`

{% tabs %}
{% tab title="404: Not Found Unknown Fixture" %}

```javascript
{
    "message": "Could not find fixture topic soccer.tracking.enrichment.08456e52-9cf7-48cc-913c-f45ec",
    "level": "WARN"
}
```

{% endtab %}

{% tab title="400: Bad Request Failed Authentication Request" %}

```javascript
{
    "message": "Authentication message had incorrect format",
    "level": "ERROR"
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.ball",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "shots": [
        {
            "eventId": "37D0ED86-F2C6-4E14-82F6-358872D88042",
            "arcs": [
                {
                    "type": "Toss",
                    "startTime": 0,
                    "endTime": 0.7066666666651145,
                    "arcParameters": {
                        "x": [
                            -11.807161859157418,
                            -0.42856374982784473,
                            0.18120277524667472,
                            0.18362183375757013,
                            1.1368683772161603e-12
                        ],
                        "y": [
                            -2.100554316537715,
                            0.11979214856364706,
                            -1.1537290631182486,
                            1.0342488257927016,
                            1.1368683772161603e-13
                        ],
                        "z": [
                            1.1486879336077713,
                            7.8831545534786756,
                            -4.528937816209918,
                            -0.4187572299720159,
                            -4.547473508864641e-13
                        ]
                    },
                    "groundMark": {
                        "startTime": 0,
                        "startPosition": [
                            6.45,
                            -3.938
                        ],
                        "direction": [
                            1,
                            0
                        ],
                        "size": [
                            0.215,
                            0.06
                        ]
                    }
                }
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## JSON Response

<details>

<summary>Rally Player Tracking Feed</summary>

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.ball",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "shots": [
        {
            "eventId": "37D0ED86-F2C6-4E14-82F6-358872D88042",
            "arcs": [
                {
                    "type": "Toss",
                    "startTime": 0,
                    "endTime": 0.7066666666651145,
                    "arcParameters": {
                        "x": [
                            -11.807161859157418,
                            -0.42856374982784473,
                            0.18120277524667472,
                            0.18362183375757013,
                            1.1368683772161603e-12
                        ],
                        "y": [
                            -2.100554316537715,
                            0.11979214856364706,
                            -1.1537290631182486,
                            1.0342488257927016,
                            1.1368683772161603e-13
                        ],
                        "z": [
                            1.1486879336077713,
                            7.8831545534786756,
                            -4.528937816209918,
                            -0.4187572299720159,
                            -4.547473508864641e-13
                        ]
                    },
                    "groundMark": {
                        "startTime": 0,
                        "startPosition": [
                            6.45,
                            -3.938
                        ],
                        "direction": [
                            1,
                            0
                        ],
                        "size": [
                            0.215,
                            0.06
                        ]
                    }
                }
            ]
        }
    ]
}json
```

</details>

## Response Fields

{% file src="/files/ti9G4QxxGRx32PYdXDEK" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/p-and-b-tracking-websockets/per-rally-player-tracking-feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
